﻿#Generates the Windows Defender Application Control policy

#Create audit policy first
New-CIPolicy -Level PcaCertificate -Fallback Hash -FilePath "c:\setup\AuditPolicy.xml" –UserPEs 3> CIPolicylog.txt

#Add Policy Option
Set-RuleOption -FilePath "c:\setup\AuditPolicy.xml" -Option 10

#Create Separate Policy XML file for enforcement
copy "c:\setup\AuditPolicy.xml" "c:\setup\EnforcedCIPolicy.xml"

#Remove Audit mode
Set-RuleOption -FilePath "c:\setup\EnforcedCIPolicy.xml" -Option 3 -Delete

#Create the SIPolicy.p7b file
ConvertFrom-CIPolicy -XmlFilePath "c:\setup\EnforcedCIPolicy.xml" -BinaryFilePath "c:\setup\SIPolicy.p7b"
